{
  "criteria": {
    "deflected_projectile": {
      "conditions": {
        "damage": {
          "type": {
            "tags": [
              {
                "expected": true,
                "id": "minecraft:is_projectile"
              }
            ]
          },
          "blocked": true
        }
      },
      "trigger": "minecraft:entity_hurt_player"
    }
  },
  "requirements": [
    [
      "deflected_projectile"
    ]
  ],
  "rewards": {
    "function": "koncept.bingo:bingo/dynamic_advancement/deflect_arrow"
  },
  "sends_telemetry_event": true
}